PHP-инклюдинг в Simple Discussion Board

Дата публикации:
25.09.2006
Всего просмотров:
3127
Опасность:
Высокая
Наличие исправления:
Нет
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Компрометация системы
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
Simple Discussion Board 0.x
Уязвимые версии: Simple Discussion Board 0.1.0, возможно другие версии.

Описание:
Уязвимость позволяет удаленному пользователю выполнить произвольный PHP сценарий на целевой системе.

Уязвимость существует из-за недостаточной обработки входных данных в параметре "env_dir" в сценариях builddb.php, blank.php и admin.php, в параметре "script_root" в сценарии blank.php. Удаленный пользователь может выполнить произвольный PHP сценарий на целевой системе с привилегиями Web сервера. Для удачной эксплуатации уязвимости опция "register_globals" должна быть включена в конфигурационном файле PHP. Пример:

http://[target]/[path]/blank.php?env_dir=shell
http://[target]/[path]/blank.php?script_root=shell
http://[target]/[path]/admin.php?env_dir=shell
http://[target]/[path]/builddb.php?env_dir=shell

URL производителя: sourceforge.net/projects/sdb/

Решение: Способов устранения уязвимости не существует в настоящее время.

Ссылки: Simple Discussion Board 0.1.0 Remote File Include Vulnerability

или введите имя

CAPTCHA